Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19

Thread: Sencha Architect Linux distributions support

  1. #11
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103

    Default

    Quote Originally Posted by marcelo.cavalini View Post
    Hi petr.vecera

    Please actually I'm using this version (SenchaCmd-5.1.2.52-linux-x64.run.tar.gz) to compile my JS, and now, after I upgrade my SA to 3.5 version I'm getting error in my application.
    I saw that the version of cmd in SA 3.5 is 6.1.2.15 then my question is If I need change my compiller, and if yes, can you please send me a download link for this version ?
    Thank you very much.
    The Cmd versions should be in sync if you want compile your project. Cmd should be bundled with the SA , you can find it in the assets folder in the installation folder location.

    But you can also download Cmd from the website https://www.sencha.com/products/extjs/cmd-download/
    Just install it into ~\bin\Sencha\Cmd\6.xxx\ and SA should use the highest version it finds in that folder.

  2. #12

    Default

    Ok, thank you very much for you quickly reply.

  3. #13
    Sencha User
    Join Date
    Apr 2010
    Posts
    3

    Default

    Dear petr.vecera!

    I have a problem with our old Sencha licences and when I wrote a letter to your support I got in the answer this thread to ask about my problems.

    Please try to help me on the following problems what I described in my original letter.

    ----------

    Dear Sir/Madam!


    We have an old Ext JS 4.x (5 user without support) and one Sencha Architect 3 (1 user) license.


    My old contact data was changed as our source company was splitted into discret company but this is not so much problem in this case.


    We did not used 'our' Ext JS a lot in the last 1-2 years but currently we had to correct one of our applications but have some problems with it.


    My first problem is that currently I simply can not download the last Sencha Architect 3.x (Linux) installer to use on our old product for the fixes as the installer just available under the Pro license but our old one is not such and on your page there is no any archivum for your out-dated products.
    The second problem is that on my Linux device where the old Architect was I simply could not start the last available Architect (3.2) as it told me that my 30 day trial had over. My user name is 'ebola' in Architect and of course on your forum also. This is why I uninstalled my Architect and purge any of it's relevances and tried to reinstall the app but did not found the installer of it.


    Could you please help with an installer on any channel and a help how can I reactivate it? I have your original eletter with activation number and so but simply don't know what it was deactivated.


    Thanks for your help in advance,

    ----------

    There were some personal data in the original letter what I had cut now but of course I can send to you our order numbers and my old and currently used contact data if you need it.

    Thanks a lot for your help,


    Tamas

  4. #14
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103

    Default

    Hi Tamas

    If you have your activation code / user name - it should still work without any problems. But as per our first post SA 3.2 no longer works in newer distributions or distributions with updated libraries.

    Your options are:
    Install SA 3.5 to your Linux machine, active it with your license and open your project - it should work.

    Or download virtual box https://www.virtualbox.org/ and install there some older Linux distribution (as per first post in this thread) for example Linux mint 17.2
    https://www.linuxmint.com/edition.php?id=190 and run SA 3.2

    Let me know if I understand the problem correctly.

    Petr

  5. #15
    Sencha User
    Join Date
    Apr 2010
    Posts
    3

    Default

    Dear Petr!

    What you wrote is absolutely correct but I don't have the 3.5 installer as currently it is available just from support page and I have no support account as I wrote.

    Could you please send me a link for 3.5 to jump over the problems of 3.2?

    (Anyway I use Ubuntu 16.10 just to describe it.)

    Thanks a lot for it,

    Tamas

  6. #16
    Sencha User
    Join Date
    Apr 2010
    Posts
    3

    Default

    Dear Petr!

    Thank you for the PM! It seems that 3.5 really works.

    Tamas

  7. #17

    Default

    Hi,
    I need to download SA 3.5.1, becouse I have a 3.5 license and will not work with SA 4.
    Could you send me the link, please ?


    Thank you

  8. #18
    Sencha Premium User
    Join Date
    Jul 2019
    Posts
    2

    Default

    Hi, it seems that Sencha Architect 3.1 for 64bit Linux installer is incorrectly build.

    While 3.0 (forum, file) and 3.2 (from support) installers proceed flawlessly (Arch Linux, in my case), 3.1 (forum, file, md5: d0b326b00d065abefd1bc93fd6500087, sha256: b0ff0a4e54da3e85a365ed77feb53194c402fea93f64d3ca5592a786b11f56c5) is surprisingly buggy:

    Code:
    $ INITDEBUG=1 ./SenchaArchitect-3.1-x64.run
    load /home/user/Downloads/SenchaArchitect-3.1-x64.run/libraries/tbcload1.7-linux/libtbcload1.7.so
    couldn't load file "~/.bitrock/tmp/libtbcload1.7.so": ~/.bitrock/tmp/libtbcload1.7.so: cannot open shared object file: No such file or directory
    Unable to initialize installer.
    Is /tmp writable ?
    Is SELinux enabled? You may need to disable it temporarily
    Please see below for details
    http://fedora.redhat.com/docs/selinux-faq-fc3/index.html#id2826056
    (the hints are misleading, /tmp is writable, and there's no SElinux)

    little hack to fix the issue of literal tilde in the path:
    Code:
    ln -s $HOME '~'
    now the real problem turns out:
    Code:
    $ rm -rf $HOME/.bitrock/tmp/
    $ INITDEBUG=1 ./SenchaArchitect-3.1-x64.run
    load /home/user/Downloads/SenchaArchitect-3.1-x64.run/libraries/tbcload1.7-linux/libtbcload1.7.so
    couldn't load file "~/.bitrock/tmp/libtbcload1.7.so": ~/.bitrock/tmp/libtbcload1.7.so: wrong ELF class: ELFCLASS32
    Unable to initialize installer.
    ...
    So, SenchaArchitect-3.1-x64.run installer seems to be built incorrectly with 32bit installer components.
    It would be nice if links to correct or other SA 3.1 build would be provided. (Or, providing info how to unpack these bitrock installer .run packages manually (including the program files), could help as well, not in this case, because sdx.kit-unpacked project.xml file shows that the program binaries are 32bit as well)

    (I'm reporting more details in ticket #48290)
    Last edited by mxlbzn; 29 Jul 2019 at 4:59 AM. Reason: redact path; bold text segment; additions

  9. #19
    Sencha Premium User
    Join Date
    Jul 2019
    Posts
    2

    Default

    .. broken Sencha Architect 3.1 Linux 64bit installer mentioned above is 3.1-stable (3.1.0 build 1942),
    it turns out that there's also next build 1943 available: https://cdn.sencha.com/architect/3.1...ct-3.1-x64.run , this installer works (except from claimed license expiration issue), this might help someone who for some reason needs SA 3.1 @ linux x64.

Page 2 of 2 FirstFirst 12

Similar Threads

  1. not run sencha architect 3 in linux
    By FELIX_LEAL in forum Sencha Architect 3.x: Bugs
    Replies: 7
    Last Post: 9 Dec 2014, 6:52 PM
  2. No Native Build UI for Sencha Architect in Linux
    By mikky2 in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 20 Mar 2014, 3:08 PM
  3. Sencha Cmd native support on linux
    By midori_green in forum Sencha Cmd
    Replies: 11
    Last Post: 14 Nov 2013, 5:31 AM
  4. How do I activate Sencha Architect post 30 day trial under Linux?
    By whirling dervish in forum Sencha Architect 2.x: Help & Discussions
    Replies: 1
    Last Post: 16 Jul 2012, 1:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •